
#include <Trade\Trade.mqh>
#include <Trade\SymbolInfo.mqh>

int OnInit()
  {
   CSymbolInfo si;
   CTrade t;

   si.RefreshRates();
   t.SetAsyncMode(true);
   t.LogLevel(LOG_LEVEL_ALL);

   for(int i=1; i<=5; i++)
     {
      t.BuyStop(1,si.Ask()+100*i);
     }

   return(INIT_SUCCEEDED);
  }

void OnTradeTransaction(const MqlTradeTransaction &trans,
                        const MqlTradeRequest &request,
                        const MqlTradeResult &result)
  {
   if(trans.type==TRADE_TRANSACTION_REQUEST) 
     {
      PrintFormat("Order ticket: %u",result.order);
     }
  }
